org.apache.geode.security

## Class AuthenticationRequiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.security.GemFireSecurityException
          - - org.apache.geode.security.AuthenticationRequiredException

- All Implemented Interfaces:
    java.io.Serializable

      public class AuthenticationRequiredException
      extends GemFireSecurityException

  Thrown if the distributed system is in secure mode and this client/peer has not set the security credentials.
  Since:
    GemFire 5.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationRequiredException(java.lang.String message)` Constructs instance of `NotAuthenticatedException` with error message.
    `AuthenticationRequiredException(java.lang.String message, java.lang.Throwable cause)` Constructs instance of `NotAuthenticatedException` with error message and cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.security.GemFireSecurityException

      `getCause, getResolvedObj, isSerializable`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationRequiredException

          public AuthenticationRequiredException(java.lang.String message)

      Constructs instance of `NotAuthenticatedException` with error message.
      Parameters:
        `message` - the error message

    - #### AuthenticationRequiredException

          public AuthenticationRequiredException(java.lang.String message,
                                                 java.lang.Throwable cause)

      Constructs instance of `NotAuthenticatedException` with error message and cause.
      Parameters:
        `message` - the error message
        `cause` - a `Throwable` that is a cause of this exception